Muhammad Hafid

Janganlah malas untuk berkarya, biarpun sederhana tetapi bermanfaat bagi orang lain. Kerjakan dengan penuh kesabaran dan keikhlasan

Error Rails The dependency tzinfo-data (>= 0)

Disini saya kembali share mengenai error log pada saat create new app di ruby on rails. Disini saya mengalami error seperti dibawah ini : 
The dependency tzinfo-data (>= 0) will be unused by any of the platforms Bundler is installing for. Bundler is installing for ruby but the dependency is only for x86-mingw32, x86-mswin32, x64-mingw32, java. To add those platforms to the bundle, run `bundle lock --add-platform x86-mingw32 x86-mswin32 x64-mingw32 java`.

Pada saat melakukan create app dengan menggunakan rails new namapp. Cara ini mungkin bisa menjadi jalan keluar untuk anda yang risih dengan adanya error tersebut, pada saat create app sukses tetapi coba anda jalankan dengan menggunakan rails s, dijamin akan error.

Caranya adalah coba ketikan ini diterminal : 
gem install sqlite3 puma sass-rails uglifier coffee-rails jquery-rails turbolinks jbuilder byebug web-console listen spring spring-watcher-listen
Setelah itu coba jalankan kembali create new appnya.
Labels: programming , rails , ruby

Thanks for reading Error Rails The dependency tzinfo-data (>= 0) . Please share...!

0 Comment for "Error Rails The dependency tzinfo-data (>= 0)"

Terima kasih sudah berkunjung ke blog saya, semoga informasi nya bermanfaat buat anda.

Back To Top